---
title: "Get (and run) a specific custom filter"
description: "GET /filters/{filter_id} — This endpoint returns all details of the specified filter, as well as all contacts that meet the criteria of the filter."
canonical_url: https://developer.onepagecrm.com/api/reference/filters/get-filters-filter_id/
source: Markdown mirror of https://developer.onepagecrm.com/api/reference/filters/get-filters-filter_id/
---

`GET /filters/{filter_id}`

This endpoint returns all details of the specified filter, as well as all contacts that meet the criteria of the filter.

Resource: [Filters](https://developer.onepagecrm.com/api/reference/filters/) · [API Reference](https://developer.onepagecrm.com/api/reference/)

## Request

```bash
curl "https://app.onepagecrm.com/api/v3/filters/{filter_id}" \
  -u $user_id:$api_key
```

Authentication is HTTP Basic — `user_id` as username, `api_key` as password.
See https://developer.onepagecrm.com/api/authentication/.

## Path parameters

| Name | Type | Description |
| --- | --- | --- |
| `filter_id` | string | Filter ID |

## Responses

### 200

OK

```json
{
  "status": 0,
  "message": "OK",
  "timestamp": 1528373119,
  "data": {
    "filter": {
      "id": "5b606e239007ba1e528d9557",
      "name": "Jane's large deals",
      "conditions": [
        [
          "deal_owner_id",
          "is",
          "5aba31e99007ba0f570c12f7"
        ],
        [
          "deal_value",
          "greater",
          "1000"
        ]
      ]
    },
    "total_count": 1,
    "page": 1,
    "per_page": 10,
    "max_page": 1,
    "contacts": [
      {
        "contact": {
          "id": "5aba31ea9007ba0f570c92d4",
          "title": "Mr",
          "first_name": "Joe",
          "last_name": "Bloggs",
          "job_title": "Engineer",
          "starred": true,
          "photo_url": "https://{foo.bar}/joe-bloggs.jpg",
          "company_id": "5aba31ea9007ba0f570c92d5",
          "company_name": "Morgan's Forensic Lab",
          "urls": [
            {}
          ],
          "phones": [
            {}
          ],
          "emails": [
            {}
          ],
          "address_list": [
            {}
          ],
          "status": "Prospect",
          "status_id": "5e31e030849d781e837b6ba1",
          "tags": [
            "Java",
            "Android",
            "iOS"
          ],
          "lead_source_id": "email_web",
          "lead_source": "Email or Web",
          "background": "I met Joe Bloggs at the annual Eco Conference in Florida. Her company currently provides solar panels (along with a lot of other stuff) to the State Government of California, Nevada, Oregon, Arizona and Utah for capital building projects. Her current supplier is crazy expensive! I've asked to be able to tender for their next order.",
          "owner_id": "5aba31e99007ba0f570c92a5",
          "custom_fields": [
            {}
          ],
          "letter": "b",
          "pending_deal": true,
          "total_pendings": 999.99,
          "total_deals_count": 3,
          "company_size": 1,
          "sales_closed_for": [
            "5aba31e99007ba0f570c12f7"
          ],
          "closed_sales": [
            {}
          ],
          "google_contacts_data": {
            "account_email": "jane.doe@example.com",
            "id": "342c5b5c08d4b0b2",
            "saved_at": 1522840153
          },
          "created_at": "2018-05-16T11:52:09Z",
          "modified_at": "2018-05-16T11:52:09Z"
        }
      }
    ]
  }
}
```

Standard error responses: 400, 401, 403, 404, 409, 500 — shared across the API. See https://developer.onepagecrm.com/api/errors/.

## Related guides

- [Authentication](https://developer.onepagecrm.com/api/authentication/)
- [Errors](https://developer.onepagecrm.com/api/errors/)
- [Rate limits](https://developer.onepagecrm.com/api/rate-limits/)
